[web-devel] Auto-discard notification

Michael Snoyman michael at snoyman.com
Thu Jun 9 14:12:17 CEST 2011

> From: Jakob Vidmar <jakob.vidmar at gmail.com>
> To: web-devel at haskell.org
> Date: Thu, 9 Jun 2011 08:09:53 +0200
> Subject: [OSX] Cabal installation error
> Hi all!
> I have GHC 7.0.3 installed, along with the latest version of
> Haskell Platform. When I tried installing yesod I received
> the following error:
> Yesod/Auth.hs:233:10:
>     Not in scope: type constructor or class `Message'
> cabal: Error: some packages failed to install:
> yesod-0.8.2 depends on yesod-auth-0.5.0 which failed to install.
> yesod-auth-0.5.0 failed during the building phase. The exception was:
> ExitFailure 1
> I tried installing yesod-auth separately, but cabal insisted on
> installing version 0.6 (and that installed successfully). Any
> suggestions?

I just uploaded a new version with stricter version bounds. Can you
try "cabal update && cabal install yesod" and see if that works?


More information about the web-devel mailing list